Bug 215527 - Should set busy cursor for 'change device' or 'change PPD'
Should set busy cursor for 'change device' or 'change PPD'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: FC6Update 215528
  Show dependency treegraph
 
Reported: 2006-11-14 10:37 EST by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.7.40-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-30 07:52:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2006-11-14 10:37:55 EST
Description of problem:
Should set busy cursor for 'change device' or 'change PPD'.

Version-Release number of selected component (if applicable):
0.7.38-1

How reproducible:
100%

Steps to Reproduce:
1. Click 'change PPD' or 'change device'
  
Cursor should go busy.

Fix is:
--- system-config-printer.py    14 Nov 2006 12:15:31 -0000      1.127
+++ system-config-printer.py    14 Nov 2006 15:31:42 -0000
@@ -1550,2 +1550,3 @@
     def on_btnSelectDevice_clicked(self, button):
+        self.busy (self.MainWindow)
         self.loadFoomatic()
@@ -1559,2 +1560,3 @@
         self.initNewPrinterWindow()
+        self.ready (self.MainWindow)
 
@@ -1562,2 +1564,3 @@
     def on_btnChangePPD_clicked(self, button):
+        self.busy (self.MainWindow)
         self.loadFoomatic()
@@ -1597,3 +1600,3 @@
         self.initNewPrinterWindow()
-        
+        self.ready (self.MainWindow)

Note You need to log in before you can comment on or make changes to this bug.